# pcre2_set_recursion_memory_management man page

Return to the PCRE2 index page.

This page is part of the PCRE2 HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.
SYNOPSIS

#include <pcre2.h>

int pcre2_set_recursion_memory_management( pcre2_match_context *mcontext, void *(*private_malloc)(size_t, void *), void (*private_free)(void *, void *), void *memory_data);

DESCRIPTION

From release 10.30 onwards, this function is obsolete and does nothing. The result is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.

Return to the PCRE2 index page.